package com.sifang.modules.supply.warehouse.entity;



import org.hibernate.annotations.GenericGenerator;

import javax.persistence.Entity;
import javax.persistence.GeneratedValue;
import javax.persistence.Id;
import javax.persistence.Table;
import java.io.Serializable;
import java.util.Date;

@Entity
@Table(name="crm_supply_purchase_order")
public class CrmSupplyPurchaseOrder  implements Serializable {

    private static final long serialVersionUID = 1L;

    public static final String STATUS_DQR="1";   //待确认
    public static final String STATUS_DJY="2";   //待检验
    public static final String STATUS_BFJY="3";   //部分检验
    public static final String STATUS_YWC="4";   //已完成
    public static final String STATUS_YCX="5";   //已撤销
    public static final String STATUS_DELETE="0";   //删除

    public static final String STATUS_DBJ="a";   //待报检

    private String id;

    private String number;

    private String spaNumber;

    private String supplierId;

    private String warehouseId;

    private String remark;

    private String creator;
    private String creatorBy;

    private Date createTime;
    private String examineRemark;

    private Date examineTime;

    private Date confirmTime;

    private Date finishTime;

    private String  confirmBy;

    private String confirmor;

    private String  status;

    private Date updateTime;

    private String updateBy;

    private String examineBy;

    private String examiner;

    private String cancelReason;

    private Date inspectionTime;

    public Date latestExamineTime;

    @Id
    @GeneratedValue(generator = "idGenerator")
    @GenericGenerator(name = "idGenerator", strategy = "uuid")
    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    public String getNumber() {
        return number;
    }

    public void setNumber(String number) {
        this.number = number;
    }

    public String getSpaNumber() {
        return spaNumber;
    }

    public void setSpaNumber(String spaNumber) {
        this.spaNumber = spaNumber;
    }

    public String getSupplierId() {
        return supplierId;
    }

    public void setSupplierId(String supplierId) {
        this.supplierId = supplierId;
    }

    public String getWarehouseId() {
        return warehouseId;
    }

    public void setWarehouseId(String warehouseId) {
        this.warehouseId = warehouseId;
    }

    public String getRemark() {
        return remark;
    }

    public void setRemark(String remark) {
        this.remark = remark;
    }

    public String getCreator() {
        return creator;
    }

    public void setCreator(String creator) {
        this.creator = creator;
    }

    public String getCreatorBy() {
        return creatorBy;
    }

    public void setCreatorBy(String creatorBy) {
        this.creatorBy = creatorBy;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public String getExamineRemark() {
        return examineRemark;
    }

    public void setExamineRemark(String examineRemark) {
        this.examineRemark = examineRemark;
    }

    public Date getExamineTime() {
        return examineTime;
    }

    public void setExamineTime(Date examineTime) {
        this.examineTime = examineTime;
    }

    public Date getConfirmTime() {
        return confirmTime;
    }

    public void setConfirmTime(Date confirmTime) {
        this.confirmTime = confirmTime;
    }

    public Date getFinishTime() {
        return finishTime;
    }

    public void setFinishTime(Date finishTime) {
        this.finishTime = finishTime;
    }

    public String getConfirmBy() {
        return confirmBy;
    }

    public void setConfirmBy(String confirmBy) {
        this.confirmBy = confirmBy;
    }

    public String getStatus() {
        return status;
    }

    public void setStatus(String status) {
        this.status = status;
    }

    public Date getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
    }

    public String getUpdateBy() {
        return updateBy;
    }

    public void setUpdateBy(String updateBy) {
        this.updateBy = updateBy;
    }

    public String getConfirmor() {
        return confirmor;
    }

    public void setConfirmor(String confirmor) {
        this.confirmor = confirmor;
    }

    public String getExamineBy() {
        return examineBy;
    }

    public void setExamineBy(String examineBy) {
        this.examineBy = examineBy;
    }

    public Date getInspectionTime() {
        return inspectionTime;
    }

    public void setInspectionTime(Date inspectionTime) {
        this.inspectionTime = inspectionTime;
    }

    public String getExaminer() {
        return examiner;
    }

    public void setExaminer(String examiner) {
        this.examiner = examiner;
    }

    public String getCancelReason() {
        return cancelReason;
    }

    public void setCancelReason(String cancelReason) {
        this.cancelReason = cancelReason;
    }

    public Date getLatestExamineTime() {
        return latestExamineTime;
    }

    public void setLatestExamineTime(Date latestExamineTime) {
        this.latestExamineTime = latestExamineTime;
    }
}
